<!-- content -->
<ng-content></ng-content>

<!-- tooltip -->
<div *ngIf="tooltipVisible" [attr.app-position]="position" class="app-tooltip">
  <!-- show tooltip input as default -->
  <ng-container *ngIf="tooltip; else message">
    {{ tooltip }}
  </ng-container>

  <!-- if tooltip input not exists, show content with tooltip attribute -->
  <ng-template #message>
    <ng-content select="[tooltip]"></ng-content>
  </ng-template>
</div>
